
package ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Supprimer_QNAME = new QName("http://session/", "supprimer");
    private final static QName _GetListe_QNAME = new QName("http://session/", "getListe");
    private final static QName _GetPhotoResponse_QNAME = new QName("http://session/", "getPhotoResponse");
    private final static QName _IOException_QNAME = new QName("http://session/", "IOException");
    private final static QName _RestituerResponse_QNAME = new QName("http://session/", "restituerResponse");
    private final static QName _StockerResponse_QNAME = new QName("http://session/", "stockerResponse");
    private final static QName _Stocker_QNAME = new QName("http://session/", "stocker");
    private final static QName _Photo_QNAME = new QName("http://session/", "photo");
    private final static QName _Restituer_QNAME = new QName("http://session/", "restituer");
    private final static QName _SupprimerResponse_QNAME = new QName("http://session/", "supprimerResponse");
    private final static QName _GetListeResponse_QNAME = new QName("http://session/", "getListeResponse");
    private final static QName _GetPhoto_QNAME = new QName("http://session/", "getPhoto");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SupprimerResponse }
     * 
     */
    public SupprimerResponse createSupprimerResponse() {
        return new SupprimerResponse();
    }

    /**
     * Create an instance of {@link StockerResponse }
     * 
     */
    public StockerResponse createStockerResponse() {
        return new StockerResponse();
    }

    /**
     * Create an instance of {@link Restituer }
     * 
     */
    public Restituer createRestituer() {
        return new Restituer();
    }

    /**
     * Create an instance of {@link GetListe }
     * 
     */
    public GetListe createGetListe() {
        return new GetListe();
    }

    /**
     * Create an instance of {@link Photo }
     * 
     */
    public Photo createPhoto() {
        return new Photo();
    }

    /**
     * Create an instance of {@link GetListeResponse }
     * 
     */
    public GetListeResponse createGetListeResponse() {
        return new GetListeResponse();
    }

    /**
     * Create an instance of {@link RestituerResponse }
     * 
     */
    public RestituerResponse createRestituerResponse() {
        return new RestituerResponse();
    }

    /**
     * Create an instance of {@link Stocker }
     * 
     */
    public Stocker createStocker() {
        return new Stocker();
    }

    /**
     * Create an instance of {@link GetPhoto }
     * 
     */
    public GetPhoto createGetPhoto() {
        return new GetPhoto();
    }

    /**
     * Create an instance of {@link Supprimer }
     * 
     */
    public Supprimer createSupprimer() {
        return new Supprimer();
    }

    /**
     * Create an instance of {@link IOException }
     * 
     */
    public IOException createIOException() {
        return new IOException();
    }

    /**
     * Create an instance of {@link GetPhotoResponse }
     * 
     */
    public GetPhotoResponse createGetPhotoResponse() {
        return new GetPhotoResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Supprimer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "supprimer")
    public JAXBElement<Supprimer> createSupprimer(Supprimer value) {
        return new JAXBElement<Supprimer>(_Supprimer_QNAME, Supprimer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetListe }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "getListe")
    public JAXBElement<GetListe> createGetListe(GetListe value) {
        return new JAXBElement<GetListe>(_GetListe_QNAME, GetListe.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPhotoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "getPhotoResponse")
    public JAXBElement<GetPhotoResponse> createGetPhotoResponse(GetPhotoResponse value) {
        return new JAXBElement<GetPhotoResponse>(_GetPhotoResponse_QNAME, GetPhotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IOException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "IOException")
    public JAXBElement<IOException> createIOException(IOException value) {
        return new JAXBElement<IOException>(_IOException_QNAME, IOException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RestituerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "restituerResponse")
    public JAXBElement<RestituerResponse> createRestituerResponse(RestituerResponse value) {
        return new JAXBElement<RestituerResponse>(_RestituerResponse_QNAME, RestituerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StockerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "stockerResponse")
    public JAXBElement<StockerResponse> createStockerResponse(StockerResponse value) {
        return new JAXBElement<StockerResponse>(_StockerResponse_QNAME, StockerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Stocker }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "stocker")
    public JAXBElement<Stocker> createStocker(Stocker value) {
        return new JAXBElement<Stocker>(_Stocker_QNAME, Stocker.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Photo }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "photo")
    public JAXBElement<Photo> createPhoto(Photo value) {
        return new JAXBElement<Photo>(_Photo_QNAME, Photo.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Restituer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "restituer")
    public JAXBElement<Restituer> createRestituer(Restituer value) {
        return new JAXBElement<Restituer>(_Restituer_QNAME, Restituer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SupprimerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "supprimerResponse")
    public JAXBElement<SupprimerResponse> createSupprimerResponse(SupprimerResponse value) {
        return new JAXBElement<SupprimerResponse>(_SupprimerResponse_QNAME, SupprimerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetListeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "getListeResponse")
    public JAXBElement<GetListeResponse> createGetListeResponse(GetListeResponse value) {
        return new JAXBElement<GetListeResponse>(_GetListeResponse_QNAME, GetListeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPhoto }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://session/", name = "getPhoto")
    public JAXBElement<GetPhoto> createGetPhoto(GetPhoto value) {
        return new JAXBElement<GetPhoto>(_GetPhoto_QNAME, GetPhoto.class, null, value);
    }

}
