package ws;

import javax.xml.bind.annotation.*;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "photo", propOrder = {
    "hauteur",
    "id",
    "instant",
    "largeur",
    "poids"
})
public class Photo {
    protected int hauteur;
    protected String id;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar instant;
    protected int largeur;
    protected long poids;

    public int getHauteur() {
        return hauteur;
    }

    public void setHauteur(int value) {
        this.hauteur = value;
    }

    public String getId() {
        return id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public XMLGregorianCalendar getInstant() {
        return instant;
    }

    public void setInstant(XMLGregorianCalendar value) {
        this.instant = value;
    }

    public int getLargeur() {
        return largeur;
    }

    public void setLargeur(int value) {
        this.largeur = value;
    }

    public long getPoids() {
        return poids;
    }

    public void setPoids(long value) {
        this.poids = value;
    }

    @Override
    public String toString() {
        return id +"  ("+largeur+", "+hauteur+")";
    }
}